# appveyor file
# http://www.appveyor.com/docs/appveyor-yml

# build version format
version: "{build}"

# fix lineendings in Windows
init:
  - git config --global core.autocrlf input
  - git config --system core.longpaths true

# what combinations to test
environment:
  matrix:
    - nodejs_version: 6
    - nodejs_version: 8
    - nodejs_version: 9

# get the latest stable version of Node 0.STABLE.latest
install:
  - ps: Install-Product node $env:nodejs_version
  - set CI=true
  - set AppVeyor=true
  - yarn global add rimraf
  - yarn

build: off

test_script:
  - node --version
  - npm --version
  - yarn --version
  - cmd: yarn test
